Bug 1130179 - java-1.8.0-openjdk on aarch64 is FTBFS (again)
Summary: java-1.8.0-openjdk on aarch64 is FTBFS (again)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: rawhide
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64 1114389
TreeView+ depends on / blocked
 
Reported: 2014-08-14 13:54 UTC by Peter Robinson
Modified: 2014-09-12 11:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-12 11:46:24 UTC


Attachments (Terms of Use)

Description Peter Robinson 2014-08-14 13:54:17 UTC
java-1.8.0-openjdk-1.8.0.11-14.b12.fc21

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2557449

+ /usr/bin/sed -e 's@^@#   @' /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/docstemp/doctmp/coredocs.packages
Javadoc.gmk:375: Building /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/docs/api/index.html  (from /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/docstemp/doctmp/coredocs.options) (/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/docstemp/doctmp/coredocs.options /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/docstemp/doctmp/coredocs.packages  newer)
+ /usr/lib/jvm/java-openjdk/bin/java -Xms64M -Xmx1100M -XX:ThreadStackSize=1536 -Xmx1024m -Djava.awt.headless=true -Xbootclasspath/p:/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/langtools/dist/bootstrap/lib/javac.jar -cp /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/langtools/dist/bootstrap/lib/javac.jar com.sun.tools.javadoc.Main -bootclasspath /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/jdk/classes -d /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/docs/api @/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/docstemp/doctmp/coredocs.options @/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/docstemp/doctmp/coredocs.packages
javadoc: warning - Multiple sources of package comments found for package "javax.xml.ws.wsaddressing"
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/jdk/impsrc/javax/xml/bind/JAXBContext.java:262: warning - Tag @see: reference not found: S 7.4.1 "Named Packages" in Java Language Specification</a>
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x000003ff917074f4, pid=15209, tid=4396181811680
#
# JRE version: OpenJDK Runtime Environment (8.0-b128) (build 1.8.0-aarch64-992-b128)
# Java VM: OpenJDK 64-Bit Server VM (25.0-b69 mixed mode linux-aarch64 compressed oops)
# Problematic frame:
# V  [libjvm.so+0x7474f4]  JVM_handle_linux_signal+0x68c44
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/make/hs_err_pid15209.log
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.sun.com/bugreport/crash.jsp
#
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/common/bin/shell-tracer.sh: line 47: 15209 Aborted                 "$OLD_SHELL" -x "$@"
gmake[1]: *** [/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/docs/api/index.html] Error 134
Javadoc.gmk:375: recipe for target '/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/build/jdk8.build/docs/api/index.html' failed
gmake[1]: Leaving directory '/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8/make'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.11-14.b12.fc21.aarch64/jdk8//make/Main.gmk:164: recipe for target 'docs-only' failed
make: *** [docs-only] Error 2

Comment 1 Peter Robinson 2014-08-28 10:06:05 UTC
Basic packaging issues like patches not even applying is getting tedious....

java-1.8.0-openjdk-1.8.0.40-1.b01

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2569657

+ echo 'Patch #9999 (enableArm64.patch):'
+ /usr/bin/cat /builddir/build/SOURCES/enableArm64.patch
+ /usr/bin/patch -p0 --fuzz=0
patching file jdk8/jdk/src/solaris/bin/aarch64/jvm.cfg
patching file jdk8/common/autoconf/generated-configure.sh
Hunk #1 succeeded at 6731 (offset 3 lines).
Hunk #2 succeeded at 6817 (offset 8 lines).
Hunk #3 succeeded at 6956 (offset 19 lines).
Hunk #4 FAILED at 7902.
Hunk #5 FAILED at 29750.
2 out of 5 hunks FAILED -- saving rejects to file jdk8/common/autoconf/generated-configure.sh.rej
patching file jdk8/common/autoconf/jdk-options.m4
Hunk #1 FAILED at 88.
Hunk #2 FAILED at 126.
Hunk #3 succeeded at 460 (offset 37 lines).
2 out of 3 hunks FAILED -- saving rejects to file jdk8/common/autoconf/jdk-options.m4.rej
patching file jdk8/common/autoconf/platform.m4
patching file jdk8/common/autoconf/toolchain.m4
Hunk #1 FAILED at 1078.
1 out of 1 hunk FAILED -- saving rejects to file jdk8/common/autoconf/toolchain.m4.rej
patching file jdk8/jdk/make/lib/SoundLibraries.gmk
Hunk #1 FAILED at 130.
1 out of 1 hunk FAILED -- saving rejects to file jdk8/jdk/make/lib/SoundLibraries.gmk.rej
patching file jdk8/jdk/make/CompileJavaClasses.gmk
Hunk #1 succeeded at 413 (offset 23 lines).
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.BhMis0 (%prep)
    Bad exit status from /var/tmp/rpm-tmp.BhMis0 (%prep)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target aarch64 --nodeps  builddir/build/SPECS/java-1.8.0-openjdk.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 377, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target aarch64 --nodeps  builddir/build/SPECS/java-1.8.0-openjdk.spec']
LEAVE do --> EXCEPTION RAISED

Comment 2 jiri vanek 2014-08-28 10:23:42 UTC
My apologise, I have forgot to test arm64 prep when updating to u20 and u40

Comment 3 jiri vanek 2014-08-28 16:36:04 UTC
Should be fixed now  (bpushed, builds running) for all secondary arches on f21 and rawhide. Sorry for inconvenience.

Comment 4 Peter Robinson 2014-08-30 07:37:30 UTC
This still isn't resolved. We're getting further.

java-1.8.0-openjdk-1.8.0.40-1.b02.fc22

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2578862

+ /usr/bin/touch /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.40-1.b02.fc22.aarch64/jdk8/build/jdk8.build/jdk/gensrc_no_srczip/_the.generated_beaninfo
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x000003ffb769a574, pid=15958, tid=4396821836256
#
# JRE version: OpenJDK Runtime Environment (8.0-b128) (build 1.8.0-aarch64-992-b128)
# Java VM: OpenJDK 64-Bit Server VM (25.0-b69 mixed mode linux-aarch64 compressed oops)
# Problematic frame:
# V  [libjvm.so+0x47a574]  AsyncGetCallTrace+0x6c3cc
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.40-1.b02.fc22.aarch64/jdk8/jdk/make/hs_err_pid15958.log
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.sun.com/bugreport/crash.jsp
#
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.40-1.b02.fc22.aarch64/jdk8/common/bin/shell-tracer.sh: line 47: 15958 Aborted                 (core dumped) "$OLD_SHELL" -x "$@"
gmake[2]: *** [/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.40-1.b02.fc22.aarch64/jdk8/build/jdk8.build/jdk/gensrc/sun/util/cldr/CLDRLocaleDataMetaInfo.java] Error 134
gmake[1]: *** [gensrc-only] Error 2
gensrc/GensrcCLDR.gmk:36: recipe for target '/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.40-1.b02.fc22.aarch64/jdk8/build/jdk8.build/jdk/gensrc/sun/util/cldr/CLDRLocaleDataMetaInfo.java' failed
gmake[2]: Leaving directory '/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.40-1.b02.fc22.aarch64/jdk8/jdk/make'
BuildJdk.gmk:55: recipe for target 'gensrc-only' failed
gmake[1]: Leaving directory '/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.40-1.b02.fc22.aarch64/jdk8/jdk/make'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.40-1.b02.fc22.aarch64/jdk8//make/Main.gmk:115: recipe for target 'jdk-only' failed
make: *** [jdk-only] Error 2
RPM build errors:

Comment 5 Andrew Haley 2014-09-01 16:03:23 UTC
I need more info.  Please let me have URLs, of the JDK you're building with and the SRPM of the JDK you're trying to build.

Did it build itself last time?

Comment 6 Peter Robinson 2014-09-01 16:55:01 UTC
(In reply to Andrew Haley from comment #5)
> I need more info.  Please let me have URLs, of the JDK you're building with
> and the SRPM of the JDK you're trying to build.
> 
> Did it build itself last time?

All that detail is in the build logs of the listed koji build:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2578864

see the root.log for the installed versions of libraries that are used to build, the build.log for the build failure,

Comment 7 Andrew Haley 2014-09-01 17:18:40 UTC
(In reply to Peter Robinson from comment #6)
> (In reply to Andrew Haley from comment #5)
> > I need more info.  Please let me have URLs, of the JDK you're building with
> > and the SRPM of the JDK you're trying to build.
> > 
> > Did it build itself last time?
> 
> All that detail is in the build logs of the listed koji build:
> 
> http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2578864

But the URL you reported was 

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2578862

And there doesn't seem to be a link from there to the real build URL.

> see the root.log for the installed versions of libraries that are used to
> build, the build.log for the build failure,

Do you know the URL for the OpenJDK RPMs it was built with?  If so, please tell me.  It'll take me some time to find it.

Comment 8 Peter Robinson 2014-09-01 17:27:48 UTC
> > http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2578864
> 
> But the URL you reported was 
> 
> http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2578862

Yes, that is the parent build, if the second URL is the descendant build.

> And there doesn't seem to be a link from there to the real build URL.

Yes, it's about half way down the page, like always:

Parent 	
Descendants build

    buildArch (java-1.8.0-openjdk-1.8.0.40-1.b02.fc22.src.rpm, aarch64)

> > see the root.log for the installed versions of libraries that are used to
> > build, the build.log for the build failure,
> 
> Do you know the URL for the OpenJDK RPMs it was built with?  If so, please
> tell me.  It'll take me some time to find it.

Do you mean the .src.rpms or the binary OpenJDK which was used used to build it? 

Source can be got from:
https://kojipkgs.fedoraproject.org//packages/java-1.8.0-openjdk/1.8.0.40/1.b02.fc22/src/java-1.8.0-openjdk-1.8.0.40-1.b02.fc22.src.rpm

Binaries for the NVR used (java-1.8.0-openjdk-1.8.0.11-15.b12.fc22) can be retrieved from the following build:

http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=222318

Comment 11 Peter Robinson 2014-09-11 13:52:53 UTC
So with the help of jvanek we untagged OpenJDK8 everything back to java-1.8.0-openjdk-1.8.0.5-10.b13.fc21 which was the last known good. With this the following (so far) has built:

java-1.8.0-openjdk-1.8.0.40-7.b02.fc22

Will now test some builds against it

Comment 12 Peter Robinson 2014-09-11 13:58:11 UTC
F-21 has built java-1.8.0-openjdk-1.8.0.20-7.b26.fc21 too

Comment 13 Peter Robinson 2014-09-11 14:39:06 UTC
OK looking much better... stuff builds :-)

icedtea-web-1.5.1-1.fc21 http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=235667
icedtea-web-1.5.1-1.fc22 http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=229687

Comment 14 Peter Robinson 2014-09-12 11:46:24 UTC
Looks great, thanks all


Note You need to log in before you can comment on or make changes to this bug.